org.richfaces.fragment.calendar

## Class RichFacesAdvancedPopupCalendar

- java.lang.Object
- - org.richfaces.fragment.calendar.RichFacesAdvancedPopupCalendar

-     public class RichFacesAdvancedPopupCalendar
      extends Object

  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RichFacesAdvancedPopupCalendar.OpenedBy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesAdvancedPopupCalendar()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closePopup()`
    `void` | `closePopup(RichFacesAdvancedPopupCalendar.OpenedBy by)`
    `TextInputComponentImpl` | `getInput()`
    `Locations` | `getLocations()`
    `PopupCalendar` | `getPopup()`
    `org.openqa.selenium.WebElement` | `getPopupButtonElement()`
    `org.openqa.selenium.WebElement` | `getPopupElement()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `boolean` | `isVisible()`
    `PopupCalendar` | `openPopup()`
    `PopupCalendar` | `openPopup(RichFacesAdvancedPopupCalendar.OpenedBy by)`
    `void` | `setDateTime(org.joda.time.DateTime dt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesAdvancedPopupCalendar

          public RichFacesAdvancedPopupCalendar()

  - ### Method Detail

    - #### closePopup

          public void closePopup()

    - #### closePopup

          public void closePopup(RichFacesAdvancedPopupCalendar.OpenedBy by)

    - #### getInput

          public TextInputComponentImpl getInput()

    - #### getLocations

          public Locations getLocations()

    - #### getPopup

          public PopupCalendar getPopup()

    - #### getPopupElement

          public org.openqa.selenium.WebElement getPopupElement()

    - #### getPopupButtonElement

          public org.openqa.selenium.WebElement getPopupButtonElement()

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### isVisible

          public boolean isVisible()

    - #### openPopup

          public PopupCalendar openPopup(RichFacesAdvancedPopupCalendar.OpenedBy by)

    - #### openPopup

          public PopupCalendar openPopup()

    - #### setDateTime

          public void setDateTime(org.joda.time.DateTime dt)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.